#!/usr/bin/env ruby -w
# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH.unshift("../../compat") unless $LOAD_PATH.include?("../../compat")
$LOAD_PATH << "../../lib" unless $LOAD_PATH.include?("../../lib")
$debug = true

require "qwik/test-module-session.rb"

def load_test_files
end

def load_act_files
  require "qwik/loadlib"
  loadlib = Qwik::LoadLibrary.new("../../lib")
end

def load_qwik_files
  require "qwik/loadlib"
  loadlib = Qwik::LoadLibrary.new("../../lib")
end

def load_bench_files
end

def load_check_files
end

def main
  load_test_files
  load_usecase_files
  load_act_files
  load_qwik_files
#  load_check_files
#  load_bench_files
end
main
